# Amuse: amuse::BooBackendVoiceAllocator Class Reference

amuse::BooBackendVoiceAllocator Class Reference

`#include <BooBackend.hpp>`

Inheritance diagram for amuse::BooBackendVoiceAllocator:
Collaboration diagram for amuse::BooBackendVoiceAllocator:

## Public Member Functions

| BooBackendVoiceAllocator (boo::IAudioVoiceEngine &booEngine)
std::unique_ptr< IBackendVoice > | allocateVoice (Voice &clientVox, double sampleRate, bool dynamicPitch)
std::unique_ptr< IBackendSubmix > | allocateSubmix (Submix &clientSmx)
AudioChannelSet | getAvailableSet ()
void | pumpAndMixVoices ()

## Detailed Description

Backend voice allocator implementation for boo mixer

Definition at line 65 of file BooBackend.hpp.

## Member Function Documentation

std::unique_ptr<IBackendSubmix> amuse::BooBackendVoiceAllocator::allocateSubmix | ( | Submix & | clientSmx | ) |

virtual

Amuse obtains a new submix from the platform this way

Implements amuse::IBackendVoiceAllocator.

std::unique_ptr<IBackendVoice> amuse::BooBackendVoiceAllocator::allocateVoice | ( | Voice & | clientVox,
|  | double | sampleRate,
|  | bool | dynamicPitch
| ) |  |

virtual

Amuse obtains a new voice from the platform this way

Implements amuse::IBackendVoiceAllocator.

AudioChannelSet amuse::BooBackendVoiceAllocator::getAvailableSet | ( |  | ) |

virtual

Amuse obtains speaker-configuration from the platform this way

Implements amuse::IBackendVoiceAllocator.

void amuse::BooBackendVoiceAllocator::pumpAndMixVoices | ( |  | ) |

virtual

Amuse flushes voice samples to the backend this way

Implements amuse::IBackendVoiceAllocator.

The documentation for this class was generated from the following file:

- include/amuse/BooBackend.hpp